<?php

namespace Lc\CaracoleBundle\Repository\File;

use App\Entity\Address\Address;
use Lc\CaracoleBundle\Repository\MerchantStoreTrait;
use Lc\CaracoleBundle\Repository\SectionStoreTrait;
use Lc\SovBundle\Repository\AbstractStore;

class DocumentStore extends AbstractStore
{
    use SectionStoreTrait;

    protected DocumentRepositoryQuery $query;

    public function __construct(DocumentRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getOneLatestByType(string $documentType, $query = null)
    {
        // @TODO : à écrire
    }

    // findLastInvoice
    public function getOneLastInvoice($query = null)
    {
        $query = $this->createQuery($query);

        $query
            ->filterBySection($this->section)
            ->orderBy('.createdAt', 'DESC');

        return $query->findOne();
    }

    public function getByBuyerAddress(Address $buyerAddress, $query = null)
    {
        $query = $this->createQuery($query);
        $query->filterByBuyerAddress($buyerAddress);
        return $query->find();
    }

}
