<?php

namespace Lc\CaracoleBundle\Repository\Reduction;

use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\SovBundle\Repository\AbstractStore;

class ReductionCatalogStore extends AbstractStore
{
    protected ReductionCatalogRepositoryQuery $query;

    public function __construct(ReductionCatalogRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function getByProductFamily(ProductFamilyInterface $productFamily, $query = null)
    {
        $query = $this->createQuery($query);
        $query
                ->filterProductFamily($productFamily)
                ->filterIsOnline();

        return $query->findOne();
    }
}
