<?php

namespace Lc\CaracoleBundle\Repository\Site;

use Lc\CaracoleBundle\Model\Section\SectionInterface;
use Lc\CaracoleBundle\Repository\SectionStoreTrait;
use Lc\SovBundle\Model\Site\PageInterface;
use Lc\SovBundle\Repository\Site\PageStore as SovPageStore;

class PageStore extends SovPageStore
{
    use SectionStoreTrait;

    public function __construct(PageRepositoryQuery $query)
    {
        parent::__construct($query);
    }

    // findPage
    public function getOneByDevAlias(string $devAlias, $query = null): ?PageInterface
    {
        $query = $this->createQuery($query);

        $query
                ->filterIsOnline()
                ->filterByDevAlias($devAlias)
                ->filterBySection($this->section);

        return $query->findOne();
    }
}
